HornetQ
  1. HornetQ
  2. HORNETQ-480

Examples for javaee jca-config and jca-remote fail to compile on jboss 4.2.3.GA

    Details

    • Type: Bug Bug
    • Status: Closed Closed (View Workflow)
    • Priority: Minor Minor
    • Resolution: Rejected
    • Affects Version/s: 2.1.0.Final, 2.1.1 Final
    • Fix Version/s: 2.3.0.Beta1
    • Component/s: None
    • Labels:
      None
    • Environment:
      Centos 5.4, Java 64 bit 1.6.0_21-b06
      JBoss-4.2.3.GA
      64 Bit VMWare Server.
    • Affects:
      Compatibility/Configuration
    • Estimated Difficulty:
      Low
    • Steps to Reproduce:
      Hide

      Install fresh Jboss 4.2.3.GA in a Centos 5.4 (likely same in RHEL5.4) environment with 1.6 Java
      Install Hornetq 2.1.1.Final on the same box
      Run the build script to create default-with-hornetq and all-with-hornetq
      Go to the jca-config example in the hornetq install
      run build.sh

      Show
      Install fresh Jboss 4.2.3.GA in a Centos 5.4 (likely same in RHEL5.4) environment with 1.6 Java Install Hornetq 2.1.1.Final on the same box Run the build script to create default-with-hornetq and all-with-hornetq Go to the jca-config example in the hornetq install run build.sh
    • Similar Issues:
      Show 10 results 

      Description

      Example Build Fails:

      Example builds of jca-config and jca-remote fail with messages:

      compile:
      [javac] Compiling 10 source files to /opt/idam/hornetq-2.1.1.Final/examples/javaee/jca-config/build/classes
      [javac] /opt/idam/hornetq-2.1.1.Final/examples/javaee/jca-config/src/org/hornetq/javaee/example/server/MDBQueueA.java:15 package org.jboss.ejb3.annotation does not exist
      [javac] import org.jboss.ejb3.annotation.ResourceAdaptor
      [javac] ^
      .
      .
      and another at line 36

        Activity

        Hide
        BJ Chippindale
        added a comment -

        The annotation classes are apparently in the 5.1.0 jar files.

        Show
        BJ Chippindale
        added a comment - The annotation classes are apparently in the 5.1.0 jar files.
        Hide
        Tom Ross
        added a comment -

        This bug should be closed since HornetQ is not supported with JBoss 4.x

        Show
        Tom Ross
        added a comment - This bug should be closed since HornetQ is not supported with JBoss 4.x
        Hide
        Tom Ross
        added a comment -

        Closing this bug. HornetQ is not supported with JBoss 4.x release.

        Show
        Tom Ross
        added a comment - Closing this bug. HornetQ is not supported with JBoss 4.x release.

          People

          • Assignee:
            Tim Fox
            Reporter:
            BJ Chippindale
          • Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: